function [id] = getidfromname(opname, s)

% Load operand structure if not provided
if (nargin < 2)
    s = operandstructure;
end

id = 0;
for tmpid = 1:length(s)
    if strcmpi(opname,s(tmpid).name)
        id = tmpid;
        break
    end
end
if ~id
    error('Can not find id based on name: %s', opname);
end
end

