function [innodes, outnodes] = getinoutnodes_op(op, opstructure)
% This function extract all in and out nodes of an operand, i.e., one row of a signal flow graph.

if (nargin < 2)
    opstructure = operandstructure;
end

numinout = opstructure(op(1)).inout;
innodes = op(3:2 + numinout(1));
outnodes = op(3 + numinout(1):2 + sum(numinout));
