% Operand mapping
%
% Digital Signal Processing Toolbox
% Version 0.2 
% op_name={};
% % Operand types
% op_in=1;
% op_name{op_in}='in';
% 
% op_out=2;
% op_name{op_out}='out';
% 
% op_add=3; % Innode1 Innode2 Outnode
% op_name{op_add} = 'add';
% 
% op_sub=4; % Innode1 (-)Innode2 Outnode
% op_name{op_sub} = 'sub';
% 
% op_mult=5; % Innode Outnode Coeff
% op_name{op_mult} = 'mult';
% 
% op_delay=6; % Innode Outnode
% op_name{op_delay} = 'delay';
% 
% op_quant=7; % Innode Outnode Bits Type
% op_name{op_quant} = 'quant';
% 
% op_overflow=8; % Innode Outnode Type
% op_name{op_overflow} = 'overflow';
% 
% op_negate=9; % Innode Outnode
% op_name{op_negate} = 'negate';
% 
% op_shift=10; % Innode Outnode Bits Type
% op_name{op_shift} = 'shift';
% 
% op_twoport=11; % Innode1 Innode2 Outnode1 Outnode2 Coeff Type
% op_name{op_twoport} = 'twoport';
% 
% op_threeport=12; % Innode1 Innode2 Innode3 Outnode1 Outnode2
%                  % Outnode3 Coeff1 Coeff2 Type
% op_name{op_threeport} = 'threeport';
% 
% op_fourport=13;  % Innode1 Innode2 Innode3 Innode 4 Outnode1
%                  % Outnode2 Outnode3 Outnode4 Coeff1 Coeff2 Coeff3 Type
% op_name{op_fourport} = 'fourport';
% 
% op_butterfly=14; % Innode1 Innode2 Outnode1 Outnode2
% op_name{op_butterfly} = 'butterfly';
% 
% op_division=15; % Innode Outnode Coeff
% op_name{op_division} = 'division';
% 
% op_mux=16; % Innode1 Innode2 Controlnode Outnode
% op_name{op_mux} = 'mux';
% 
% op_demux=17; % Innode1 Controlnode Outnode1 Outnode2
% op_name{op_demux} = 'demux';
% 
% op_mac=18; % InnodeMult InnodeAdd Outnode Coeff
% op_name{op_mac} = 'mac';
% 
% op_twooperandmult=19; % Innode1 Innode2 Outnode
% op_name{op_twooperandmult} = 'twooperandmult';
% 
% op_twooperanddiv=20; % Numerator Denominator Outnode
% op_name{op_twooperanddiv} = 'twooperanddiv';
% 
% op_reciprocal=21; % Innode Outnode
% op_name{op_reciprocal} = 'reciprocal';
% 
% op_threeoperandmac=22; % Innode1*Innode2+Innode3 Outnode
% op_name{op_threeoperandmac} = 'threeoperandmac';
% 
% Overflow types
overflow_twosc=1; % Two's complement overflow
overflow_saturation=2; % Saturation overflow

% Quantization types
quant_truncation=1; % Two's complement Truncation
quant_rounding=2;   % Rounding
quant_magnitudetruncation=3;  % Magnitude truncation

% Shift types
shift_left=1;   % Shift left (multiply by 2^bits)
shift_right=2;  % Shift right (multiply by 2^-bits)

% Adaptor types
adaptor_ser=1;  % Series adaptor
adaptor_par=2;  % parallel adaptor
adaptor_sym=3;  % Symmetric adaptor

% Add/sub types
addsub_add=1;  % Adder
addsub_sub=2;  % Subtracter

% Copyright 2004 Electronics Systems, Dept of EE,
%                Linkoping University, SE-581 83 Linkoping
%                Sweden
% Generated from $Id: operandmapping.m,v 1.5 2004/07/01 14:57:21 oscarg Exp $
