function printcomplexity(sfg)
% This function prints the complexity of the signal flow graph.

% Load operand mapping
s = operandstructure;

fid = 1;
fprintf(fid, 'Complexity:\n-----------\n');
oplist = sfg(:, 1);
while ~isempty(oplist)
    op = min(oplist);
    id = find(op == oplist);
    op_str = s(op).name;
    fprintf(fid, '%-12s%7.5g\n', op_str, length(id));
    oplist(id) = [];
end
