function [newschedule] = skewschedule(schedule, time)
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here

s=operandstructure;
sfg=schedule(2:end,:);
starttimecol = size(sfg,2)-2;
latencycol = size(sfg,2)-1;
if time >= 0
    % Sort by starttime to get in "reverse computable order", latency in
    % case of zero latency operations which must be moved later
    sfg=sortrows(sfg,[-starttimecol -latencycol]);
else
    sfg=sortrows(sfg,[starttimecol -latencycol]);
end
newschedule=schedule;
for op = 1:size(sfg,1)
    newschedule=changestarttime(newschedule, s(sfg(op,1)).name, sfg(op,2),time);
end

end

